using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("Ref_ParameterSettings")]
    public class ParameterSettings
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public Int16 ParameterID { get; set; }

        [Required]
        [StringLength(255)]
        public string ParameterTitle { get; set; }

        [StringLength(255)]
        public string ParameterValue { get; set; }

        [StringLength(50)]
        public string ParameterUnit { get; set; }

        [Required]
        [StringLength(255)]
        public string CreatedBy { get; set; }

        [Required]
        [Column(TypeName = "datetime2")]
        public DateTime CreatedDateTime { get; set; }

        [Required]
        [StringLength(255)] 
        public string LastUpdatedBy { get; set; }

        [Required]
        [Column(TypeName = "datetime2")]
        public DateTime LastUpdatedDateTime { get; set; }
    }
}
